<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\TeilnehmerInfo\Detailsreiter\TeilnehmerDetails;

class TeilnehmerDetailsView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/personendetails/personendetails.sgt';
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn(
      $this->viewModel->toolSection,
      $this->viewModel->toolSettings,
      $this->viewModel->teilnehmer
    );
  }
}

class TeilnehmerDetailsViewModel
{
  public $teilnehmer;
  public $columns;
  public $toolSection;
  public $toolSettings;
}